<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Reward\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class RewardUserClaim extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="RewardUserClaim"; 
		$this->Alias = "RewardUserClaim"; 

		$this->RewardId = new Property("RewardId", "RewardId", NUMERICBOX,  false, $this->Alias); 
		$this->UserId = new Property("UserId", "UserId", NUMERICBOX,  false, $this->Alias); 
		$this->Status = new Property("Status", "Status", NUMERICBOX,  false, $this->Alias); 
		$this->DateClaim = new Property("DateClaim", "DateClaim", DATEBOX,  false, $this->Alias); 
		$this->DateValid = new Property("DateValid", "DateValid", DATEBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>